> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hyperspell.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Activity History

> List or search your captured work summaries, newest first.

Company access to the current summary does not grant access to these records.
Search is a literal substring. Use the continuation revision for older results.



## OpenAPI

````yaml https://api.hyperspell.com/openapi.json get /memories/activity/history
openapi: 3.1.0
info:
  title: Hyperspell API
  summary: >-
    Hyperspell is the memory layer for AI apps and agents. Through the API, you
    can add memories, connect data sources to index them in real-time, and
    search memories with our natural language query engine.
  termsOfService: https://hyperspell.com/blog/tos
  contact:
    name: Hyperspell
    url: https://hyperspell.com/
    email: hello@hyperspell.com
  version: 0.32.1
servers:
  - url: https://api.hyperspell.com
    description: Production
security: []
paths:
  /memories/activity/history:
    get:
      tags:
        - Memories
      summary: List Activity History
      description: >-
        List or search your captured work summaries, newest first.


        Company access to the current summary does not grant access to these
        records.

        Search is a literal substring. Use the continuation revision for older
        results.
      operationId: list_activity_history_memories_activity_history_get
      parameters:
        - name: resource_id
          in: query
          required: true
          schema:
            type: string
            maxLength: 2048
            minLength: 1
            title: Resource Id
        - name: q
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                maxLength: 200
              - type: 'null'
            title: Q
        - name: before_revision
          in: query
          required: false
          schema:
            anyOf:
              - type: integer
                maximum: 2147483647
                minimum: 1
              - type: 'null'
            title: Before Revision
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            maximum: 50
            minimum: 1
            default: 10
            title: Limit
        - name: X-As-User
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: >-
              Optionally set this header to act as a specific user when using an
              API Key, equivalent to first exchanging the API Key for a User
              Token
            title: X-As-User
          description: >-
            Optionally set this header to act as a specific user when using an
            API Key, equivalent to first exchanging the API Key for a User Token
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ActivityHistory'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKey: []
components:
  schemas:
    ActivityHistory:
      properties:
        resource_id:
          type: string
          title: Resource Id
        checkpoints:
          items:
            $ref: '#/components/schemas/CheckpointPreview'
          type: array
          title: Checkpoints
        next_before_revision:
          anyOf:
            - type: integer
            - type: 'null'
          title: Next Before Revision
        history_type:
          type: string
          title: History Type
          default: captured_summaries
        visibility:
          type: string
          title: Visibility
          default: personal
      type: object
      required:
        - resource_id
        - checkpoints
        - next_before_revision
      title: ActivityHistory
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    CheckpointPreview:
      properties:
        checkpoint_id:
          type: string
          format: uuid
          title: Checkpoint Id
        revision:
          type: integer
          title: Revision
        title:
          anyOf:
            - type: string
            - type: 'null'
          title: Title
          description: Title preview, at most 500 characters.
        captured_at:
          type: string
          format: date-time
          title: Captured At
        document_date:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Document Date
        baseline:
          type: boolean
          title: Baseline
        content_hash:
          type: string
          title: Content Hash
        preview:
          type: string
          title: Preview
        total_characters:
          type: integer
          title: Total Characters
      type: object
      required:
        - checkpoint_id
        - revision
        - title
        - captured_at
        - document_date
        - baseline
        - content_hash
        - preview
        - total_characters
      title: CheckpointPreview
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKey:
      type: http
      description: >-
        API Key or JWT User Token. If using an API Key, set the X-As-User header
        to act as a specific user. A JWT User Token is always scoped to a
        specific user.
      scheme: bearer
      bearerFormat: Bearer <token>

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.